#!/bin/sh

#如果没有输入变量值，默认天数为10
##这里是日志时间
start=$(date +%y-%m-%d-%H%M%m)
###这里是存放日志的路径,已经日志名称###
File=/opt/sh/log/ShanChu_$start.txt
###这里是需要删除的jpg文件的路径###
FilePath=/opt/images/chat/

echo $File

if [ ! -n "$1" ];
then
	day=7
else
 	day=$1
fi

#-mtime 10 表示文件修改时间距离当前为0天的文件，即距离当前时间不到1天（24小时）以内的文件
echo "输出日志文件："
echo "find $FilePath -mtime +$day -name "*.jpg" > $File"
find $FilePath -mtime +$day -name *.jpg > $File

echo "删除日志文件："
echo "find $FilePath -mtime +$day -name "*.jpg"  -exec rm -rf {} \;"
find $FilePath -mtime +$day -name *.jpg  -exec rm -rf {} \;


##修改文件时间为九天前###
###  touch -d "9 days ago" /opt/images/chat/1*  ###
###参考文档:  https://blog.csdn.net/u012062455/article/details/78388980 ###
### 定时任务每天凌晨三点执行一次 ###
### 定时任务:  00 3 * * * root /opt/sh/ShanChu.sh >/dev/null 2>&1 ###
